nnalg(1NCARG)

NAME
nnalg - a tool for displaying features of the Natgrid algorithm

SYNOPSIS
nnalg algorithmic_data_file

DESCRIPTION
"nnalg" takes a single argument which is a the name of a special file created by the Fortran subroutine NATGRIDS or the C function c_natgrids in the Natgrid package. This file contains data appropriate for displaying various features of the Natgrid algorithm. By default, this file is not created. In order to create it, you need to set the parameter adf in the Natgrid package. You can additionally override the default file name of "nnalg.dat" by using the parameter alg.

To invoke "nnalg", simply type the command:

nnalg data_file

By editing the data file, you have many options as to what is displayed and what the appearance of the plot looks like.

The features that can be displayed are:

  1. The input data points
  2. The natural neighbor circumcircles
  3. The Delaunay triangulation, derived from the natural
     neighbor circumcircles
  4. The Voronoi polygons
  5. The first order natural neighbors of a given
     input point (or points)
  6. The second order natural neighbors of a given input
     point (or points)

The first four items in the above list are displayed in the default case.

USAGE
What gets displayed by nnalg depends on values in the input data file which can be changed by manual editing.

SEE ALSO
natgrid

Complete documentation for nnalg is available at URL
http://ngwww.ucar.edu/ngdoc/ng/ngmath/natgrid/algorithm.html

COPYRIGHT
Copyright (C) 2000
University Corporation for Atmospheric Research

The use of this Software is governed by a License Agreement.